// _ZoomCustom_EOArchive_Swedish.java
// Generated by EnterpriseObjects palette at onsdag, april 03, 2002 14:28:00 Europe/Stockholm

import com.webobjects.eoapplication.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eodistribution.client.*;
import com.webobjects.eointerface.*;
import com.webobjects.eointerface.swing.*;
import com.webobjects.foundation.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.table.*;
import javax.swing.text.*;

public class _ZoomCustom_EOArchive_Swedish extends com.webobjects.eoapplication.EOArchive {
    com.webobjects.eointerface.swing.EOFrame _eoFrame0;
    com.webobjects.eointerface.swing.EOMatrix _nsMatrix0;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0, _nsTextField1, _nsTextField2;
    javax.swing.JButton _jButton0, _jButton1;
    javax.swing.JPanel _nsView0;

    public _ZoomCustom_EOArchive_Swedish(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _nsTextField2 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "NSTextField");
        _nsTextField1 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "Field2");
        _jButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("OK"), "Ok");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "scaleField")) != null)) {
            _nsTextField0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField0");
        } else {
            _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "Field1");
        }

        _jButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("Avbryt"), "Cancel");
        _nsMatrix0 = (com.webobjects.eointerface.swing.EOMatrix)_registered(new com.webobjects.eointerface.swing.EOMatrix(1, 2, 26, 10), "Matrix");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "window")) != null)) {
            _eoFrame0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOFrame)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoFrame0");
        } else {
            _eoFrame0 = (com.webobjects.eointerface.swing.EOFrame)_registered(new com.webobjects.eointerface.swing.EOFrame(), "Panel");
        }

        _nsView0 = (JPanel)_eoFrame0.getContentPane();
    }

    protected void _awaken() {
        super._awaken();

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _connect(_nsTextField0, _owner(), "delegate");
        }

        _jButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "ok", _jButton1), ""));

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _connect(_owner(), _nsTextField0, "scaleField");
        }

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _connect(_owner(), _eoFrame0, "window");
        }

        _jButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "cancel", _jButton0), ""));
    }

    protected void _init() {
        super._init();
        _setFontForComponent(_nsTextField2, "Lucida Grande", 13, Font.PLAIN);
        _nsTextField2.setEditable(false);
        _nsTextField2.setOpaque(false);
        _nsTextField2.setText("Zoom:");
        _nsTextField2.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsTextField2.setSelectable(false);
        _nsTextField2.setEnabled(true);
        _nsTextField2.setBorder(null);
        _setFontForComponent(_nsTextField1, "Helvetica", 18, Font.PLAIN);
        _nsTextField1.setEditable(false);
        _nsTextField1.setOpaque(false);
        _nsTextField1.setText("%");
        _nsTextField1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        _nsTextField1.setSelectable(false);
        _nsTextField1.setEnabled(true);
        _nsTextField1.setBorder(null);
        _setFontForComponent(_jButton1, "Lucida Grande", 14, Font.PLAIN);
        _jButton1.setMargin(new Insets(0, 2, 0, 2));
        _nsTextField0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_jButton1, "performClick", _nsTextField0), ""));

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _setFontForComponent(_nsTextField0, "Lucida Grande", 18, Font.PLAIN);
            _nsTextField0.setEditable(true);
            _nsTextField0.setOpaque(true);
            _nsTextField0.setText("100");
            _nsTextField0.setHorizontalAlignment(javax.swing.JTextField.CENTER);
            _nsTextField0.setSelectable(true);
            _nsTextField0.setEnabled(true);
        }

        _setFontForComponent(_jButton0, "Lucida Grande", 14, Font.PLAIN);
        _jButton0.setMargin(new Insets(0, 2, 0, 2));
        _jButton0.setSize(76, 34);
        _jButton0.setLocation(4, 0);
        _nsMatrix0.add(_jButton0);
        _jButton1.setSize(76, 34);
        _jButton1.setLocation(105, 0);
        _nsMatrix0.add(_jButton1);
        _setFontForComponent(_nsMatrix0, "Lucida Grande", 14, Font.PLAIN);
        if (!(_nsView0.getLayout() instanceof EOViewLayout)) { _nsView0.setLayout(new EOViewLayout()); }
        _nsMatrix0.setSize(179, 29);
        _nsMatrix0.setLocation(45, 82);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsMatrix0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsMatrix0);
        _nsTextField1.setSize(28, 27);
        _nsTextField1.setLocation(157, 28);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField1, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField1);
        _nsTextField0.setSize(69, 32);
        _nsTextField0.setLocation(89, 23);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField0);
        _nsTextField2.setSize(91, 21);
        _nsTextField2.setLocation(43, 30);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField2, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField2);

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _nsView0.setSize(270, 120);
            _eoFrame0.setTitle("Egen zoom-inst\u00e4llning");
            _eoFrame0.setLocation(260, 396);
            _eoFrame0.setSize(270, 120);
        }
    }
}
